
From: Gerd Knorr <kraxel@bytesex.org>

This fixes a initialization order bug in bttv, also known as "dark red
image bug".

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-driver.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/media/video/bttv-driver.c~bttv-bugfix drivers/media/video/bttv-driver.c
--- 25/drivers/media/video/bttv-driver.c~bttv-bugfix	2004-09-20 11:25:14.782039592 -0700
+++ 25-akpm/drivers/media/video/bttv-driver.c	2004-09-20 11:25:14.789038528 -0700
@@ -1051,11 +1051,6 @@ static void init_bt848(struct bttv *btv)
 	btwrite(whitecrush_upper, BT848_WC_UP);
 	btwrite(whitecrush_lower, BT848_WC_DOWN);
 
-	bt848_bright(btv,   btv->bright);
-	bt848_hue(btv,      btv->hue);
-	bt848_contrast(btv, btv->contrast);
-	bt848_sat(btv,      btv->saturation);
-
 	if (btv->opt_lumafilter) {
 		btwrite(0, BT848_E_CONTROL);
 		btwrite(0, BT848_O_CONTROL);
@@ -1064,6 +1059,11 @@ static void init_bt848(struct bttv *btv)
 		btwrite(BT848_CONTROL_LDEC, BT848_O_CONTROL);
 	}
 
+	bt848_bright(btv,   btv->bright);
+	bt848_hue(btv,      btv->hue);
+	bt848_contrast(btv, btv->contrast);
+	bt848_sat(btv,      btv->saturation);
+
         /* interrupt */
 	init_irqreg(btv);
 }
_
